id: wordpress-sg-cachepress

info:
  name: Speed Optimizer – The All-In-One Performance-Boosting Plugin Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/sg-cachepress/
  metadata:
    plugin_namespace: sg-cachepress
    wpscan: https://wpscan.com/plugin/sg-cachepress
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/sg-cachepress/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/sg-cachepress.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100cf7b9a84d353e70d892ef1c9a12f4882c65b27fdfe55755e72f5833d9c740bad022056d41ccbbd4c9155d60ec9f71871ee2c901e7bf9f8ec257090e5f2869dace93e:922c64590222798bb761d5b6d8e72950